org.springframework.batch.core.job.flow

## Class FlowExecutionStatus

- java.lang.Object
- - org.springframework.batch.core.job.flow.FlowExecutionStatus

- All Implemented Interfaces:
    java.lang.Comparable<FlowExecutionStatus>

      public class FlowExecutionStatus
      extends java.lang.Object
      implements java.lang.Comparable<FlowExecutionStatus>

  Represents the status of `FlowExecution`.
  Since:
    2.0
  Author:
    Dan Garrette, Dave Syer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FlowExecutionStatus` | `COMPLETED` Special well-known status value.
    `static FlowExecutionStatus` | `FAILED` Special well-known status value.
    `static FlowExecutionStatus` | `STOPPED` Special well-known status value.
    `static FlowExecutionStatus` | `UNKNOWN` Special well-known status value.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlowExecutionStatus(java.lang.String status)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(FlowExecutionStatus other)` Create an ordering on `FlowExecutionStatus` instances by comparing their statuses.
    `boolean` | `equals(java.lang.Object object)` Check the equality of the statuses.
    `java.lang.String` | `getName()`
    `int` | `hashCode()`
    `boolean` | `isEnd()`
    `boolean` | `isFail()`
    `boolean` | `isStop()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### COMPLETED

          public static final FlowExecutionStatus COMPLETED

      Special well-known status value.

    - #### STOPPED

          public static final FlowExecutionStatus STOPPED

      Special well-known status value.

    - #### FAILED

          public static final FlowExecutionStatus FAILED

      Special well-known status value.

    - #### UNKNOWN

          public static final FlowExecutionStatus UNKNOWN

      Special well-known status value.

  - ### Constructor Detail

    - #### FlowExecutionStatus

          public FlowExecutionStatus(java.lang.String status)

      Parameters:
        `status` -

  - ### Method Detail

    - #### isStop

          public boolean isStop()

      Returns:
        true if the status starts with "STOPPED"

    - #### isFail

          public boolean isFail()

      Returns:
        true if the status starts with "FAILED"

    - #### isEnd

          public boolean isEnd()

      Returns:
        true if this status represents the end of a flow

    - #### compareTo

          public int compareTo(FlowExecutionStatus other)

      Create an ordering on `FlowExecutionStatus` instances by comparing their statuses.
      Specified by:
        `compareTo` in interface `java.lang.Comparable<FlowExecutionStatus>`
      Parameters:
        `other` -
      Returns:
        negative, zero or positive as per the contract
      See Also:
        `Comparable.compareTo(Object)`

    - #### equals

          public boolean equals(java.lang.Object object)

      Check the equality of the statuses.
      Overrides:
        `equals` in class `java.lang.Object`
      See Also:
        `Object.equals(java.lang.Object)`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      See Also:
        `Object.toString()`

    - #### getName

          public java.lang.String getName()

      Returns:
        the name of this status